import { GTFSRouteTypeEnum } from "../../../../../../../helpers/RouteTypeEnums";
import AbstractDelayAtStop from "./AbstractDelayAtStop";
export default class FactoryDelayAtStop {
    private static _instance;
    private dictionary;
    static getInstance(): FactoryDelayAtStop;
    private constructor();
    getStrategy(gtfsRouteType: GTFSRouteTypeEnum): AbstractDelayAtStop | null;
}
